cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
2758
Views
30
Helpful
10
Replies
David Serarols
Beginner

Unable to install pi302-16.ubf on Cisco PI 3.0

Hello,

Aftter having installed successfully Device-Pack-3-PI3.0-25.ubf and Device-Pack-4-PI3.0-15.ubf in my Cisco PI 3.0 I tried to install pi302-16.ubf.

Progress bar stucked at 98% and at the end PI logged me out by timeout. When I logged in again I realised pi302-16.ubf was not installed:

When I tried to install it again I obtained this message:

"An UBF with the same name already exists."

It is second time it happens, but I am not able to check if this is a bug or this is not. Anyway, how can I proceed to install this patch?

Regards,

David

PS: if I try to install next patch (pi303-10.ubf) it happens the same.

2 ACCEPTED SOLUTIONS

Accepted Solutions

Hi David, 

Please do the following :


Login with SSH to the Prime  Switch to root mode with entering the command "root". Switch to the directory /opt/CSCOlumos/updates/ and delete the Pi 3.0.2 file 

rm pi302-16.ubf

now, try the installation again, these patches are getting stuck on 98%, but this does not mean that something is wrong, it is taking around 10 minutes to install the patch, so please let it running don't close or cancel the process. 

Hope it helps!

Claudio Gonzalez S

View solution in original post

Hi David, 

the command is "rm" it should work, i have test it.

type : rm  pi302-16.ubf

then try the installation again.

Regards,

Claudio 

View solution in original post

10 REPLIES 10
dkeysell
Cisco Employee

On the Administration > Software Update > Status of Updates > Files tab can you see the pi302-16.ubf listed?

No, there is not! :-(

Hi David, 

Please do the following :


Login with SSH to the Prime  Switch to root mode with entering the command "root". Switch to the directory /opt/CSCOlumos/updates/ and delete the Pi 3.0.2 file 

rm pi302-16.ubf

now, try the installation again, these patches are getting stuck on 98%, but this does not mean that something is wrong, it is taking around 10 minutes to install the patch, so please let it running don't close or cancel the process. 

Hope it helps!

Claudio Gonzalez S

View solution in original post

Hi Claudio,

I was looking for the directory where patches are installed, thank you very much!

Anyway, it is very sad but I am unable to delete this file because any command to delete is working: delete, erase, remove...

Which command should I use?

Regards,

David

Hi David, 

the command is "rm" it should work, i have test it.

type : rm  pi302-16.ubf

then try the installation again.

Regards,

Claudio 

View solution in original post

Thanks, Claudio.

It worked. Now I am installing again the patch. Yesterday I did not stop it, but PI logged me out automatically; I will try to refresh my browser again and again to avoid it.

Regards,

David

Thank you again!

Definitively it worked. It took a lot to upload this file but at last I installed. I should have been more patient!

The only inconvinience is that you have to be aware and avoid to be logged out by a timeout.

Regards,

David

David, 

Glad to hear that, yes it is taking to much time to be installed.

was a pleasure, have a nice day !

Claudio Gonzalez  

You can go ahead and move on up to PI 3.1. It was released earlier this week and rolls up everything in 3.0.3, Technology Pack 1.0.3, Device Pack 5 and more.

http://www.cisco.com/c/en/us/support/cloud-systems-management/prime-infrastructure/products-release-notes-list.html

http://www.cisco.com/c/en/us/td/docs/net_mgmt/prime/infrastructure/3-1/quickstart/guide/cpi_qsg.html

I installed it on one server so far (in line) and it went fine. You do need to install from console (VM or Gen 2) - trying from cli via ssh will result in failure. It is not supported on Gen 1 hardware.

Thanks Marvin. I am going to download it and forget old patches.